package com.palnet.board.app.jh.controller;

import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.palnet.board.app.jh.dto.JunheeReplyDto;
import com.palnet.board.app.jh.dto.JunheeRequestBoard;
import com.palnet.board.app.jh.dto.JunheeRequestReply;
import com.palnet.board.app.jh.dto.JunheeResponseReply;
import com.palnet.board.app.jh.service.JunheeReplyService;

import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
@RestController
@RequestMapping("/api/jh/reply")
public class JunheeReplyRestController {
	
	final static Logger log = LoggerFactory.getLogger(JunheeReplyRestController.class);
	
	private final JunheeReplyService ReplyService;

	@GetMapping("/boardReply/{boardId}")
	public ResponseEntity<List<JunheeResponseReply>> viewReply(@PathVariable int boardId) throws Exception {
		List<JunheeResponseReply> responseReply = ReplyService.viewReply(boardId);

		return ResponseEntity.status(HttpStatus.OK).body(responseReply);
	}
	
	@PostMapping("/commentWrite")
	public ResponseEntity<Integer> writeCommnet(JunheeRequestReply requestReply) throws Exception {
		int result = ReplyService.writeCommnet(requestReply);
		
		return ResponseEntity.status(HttpStatus.OK).body(result);
	}
	
	@PostMapping("/replyWrite")
	public ResponseEntity<Integer> writeReply(JunheeRequestReply requestReply) throws Exception {
		int result = ReplyService.writeReply(requestReply);
		
		return ResponseEntity.status(HttpStatus.OK).body(result);
	}
	
	
}
