package com.palnet.board.app.jh.service;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

import org.modelmapper.ModelMapper;
import org.springframework.stereotype.Service;

import com.palnet.board.app.jh.dto.JunheeReplyDto;
import com.palnet.board.app.jh.dto.JunheeRequestReply;
import com.palnet.board.app.jh.dto.JunheeResponseReply;
import com.palnet.board.app.jh.mapper.JunheeReplyMapper;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;

@RequiredArgsConstructor
@Service
@Slf4j
public class JunheeReplyServiceImpl implements JunheeReplyService {
	
	private final JunheeReplyMapper ReplyMapper;

	@Override
	public List<JunheeResponseReply> viewReply(int boardId) throws Exception {
		List<JunheeReplyDto> replyParent = ReplyMapper.viewReply(boardId);	//전체 댓글
		
		List<JunheeReplyDto> targetReply = new ArrayList<>();	//자식 댓글 담을 곳
		for(JunheeReplyDto reply : replyParent) {
			targetReply = ReplyMapper.targetDivide(reply.getId()); //자식 댓글 담기~
			
			reply.setTargetReplys(targetReply);
		}
		
		List<JunheeResponseReply> responseReply = new ArrayList<JunheeResponseReply>(); //최종 담을 객체
		
		/* 자식까지 담은 부모를 response로 한번에 담기! */
		responseReply = replyParent.stream().map(reply -> 
			new ModelMapper().map(reply, JunheeResponseReply.class)).collect(Collectors.toList());
		
		return responseReply;
	}

	@Override
	public int writeCommnet(JunheeRequestReply requestReply) throws Exception {
		int regUser = ReplyMapper.anonymousCount(requestReply.getBoardId()) + 1;
		requestReply.setRegUser("익명" + regUser);
		
		int result = ReplyMapper.writeCommnet(requestReply);
		return result;
	}

	@Override
	public int writeReply(JunheeRequestReply requestReply) throws Exception {
		int regUser = ReplyMapper.anonymousCount(requestReply.getBoardId()) + 1;
		requestReply.setRegUser("익명" + regUser);
		
		int result = ReplyMapper.writeReply(requestReply);
		return result;
	}
	
	
}
