package com.palnet.board.app.jw.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import com.palnet.board.app.dto.BoardDto;
import com.palnet.board.app.service.BoardService;

import lombok.extern.slf4j.Slf4j;

@Slf4j
@Controller
@RequestMapping("/view/jw/board")
public class JwBoardController {


    @GetMapping("/list")
    public String list() {

        return "jw/board/list";
    }
    
    @GetMapping("/detail/{id}")
    public String detail(@PathVariable String id, Model model) {
    	model.addAttribute("id", id);
    	log.info(">> {}", id);
        return "jw/board/detail";
    }
    @GetMapping("/write")
    public String write() {

        return "jw/board/write";
    }
    @GetMapping("/modify/{id}")
    public String update(@PathVariable String id, Model model) {
    	model.addAttribute("id", id);
    	return "jw/board/modify";
    }
    
   
}
