<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>	
<!doctype html>
<html lang="ko" xml:lang="ko">
<%	//Model로 넘겨받은 객체 불러오는 법ㅠㅠㅠㅠ
	String pageNum = (String) request.getAttribute("pageNum");
%>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=0,maximum-scale=10,user-scalable=yes">
    <!-- css -->
    <link rel="stylesheet" href="/web/css/reset.css">
    <link rel="stylesheet" href="/web/css/font.css">
    <link rel="stylesheet" href="/web/css/common.css">
    <!-- js -->
    <script src="/web/js/lib/jquery-3.6.0.min.js"></script>
    <!-- ajax/axios -->
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jQuery.serializeObject/2.0.3/jquery.serializeObject.min.js"></script>
    <!-- moment/dayjs -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.3/moment.min.js"></script>
    <script src="https://unpkg.com/dayjs@1.8.21/dayjs.min.js"></script>
    
    <title>List-팔네트웍스</title>
    <style>
    	.btn{display: inline-flex;flex-direction: row;justify-content: center;align-items: center;height: 35px;border: 1px solid #ddd;}
    </style>
</head>

<body>
	<div class="notice">
		<div>
			<h1>list</h1>
		</div>
		<div class="table_header">
			<!-- <div class="count">총<span>0</span>건</div> -->
			<div class="search"><input type="text" placeholder="검색어를 입력하세요."></div>
		</div>
		<table style="table-layout: fixed">
			<thead class="thead">
				<tr>
					<th width="5%">번호</th>
					<th width="70%">제목</th>
					<th width="10%">작성일</th>
					<th width="15%">글쓴이</th>
				</tr>
			</thead>
		</table>
		<div class="">
			<div class="page_list" id="page_list">
				<!-- <a href="#" class="pg_btn" ><<</a>
				<a class="pg_btn" ><</a>
				
					<a class="page_num"></a>
					
				<a class="pg_btn" id="pg_btn">></a>
				<a class="pg_btn">>></a> -->
			</div>
			<div class="">
				<a href="/view/jh/board/write" class="btn" >글쓰기</a>
			</div>
		</div>
	</div>
</body>

<script type="text/javascript">

	$(document).ready(function(){
		var pageNum = '<%=pageNum%>';
		pageBtn(pageNum);
		getPageList(pageNum);
	})
	
	/* 페이지 버튼 생성 */
	function pageBtn(pageNum) {
		$.ajax({
			url: "/api/jh/board/pageHelp",
			type: "GET",
			dataType: 'JSON',
			success: function(response) {
				var page_list = $('#page_list');
				
				var maxPageNum = response.maxPageNum;
				var boardCount = response.boardCount;
				
				
				/* 1페이지, 2페이지... 생성 */
				let pageNumList = ""
				for(var i = 1; i <= maxPageNum; i++) {
					let page="";
					if(i==pageNum) {
						page = "<a href=/view/jh/board/list/" + i +  " class='page_num'>" + i + "</a>"
					} else {
						page = "<a href=/view/jh/board/list/" + i +  " class='page_num_un'>" + i + "</a>"
					}
					pageNumList += page;
				}
				
				/* << < > >> 버튼 생성 */
				var begin = "<a class='pg_btn' onclick='beginBtn(" + pageNum + "," + maxPageNum + ")'><<</a>"
				var prev = "<a class='pg_btn' onclick='prevBtn(" + pageNum + "," + maxPageNum + ")'><</a>"
				var next = "<a class='pg_btn' onclick='nextBtn(" + pageNum + "," + maxPageNum + ")'>></a>"
				var end = "<a class='pg_btn' onclick='endBtn(" + pageNum + "," + maxPageNum + ")'>>></a>"
				
				document.getElementById("page_list").innerHTML= begin + prev + pageNumList + next + end;
				
				getBoardCount(boardCount, pageNum);
			}
		})
	}
	
	/* 총 게시글 수 */
	function getBoardCount(boardCount, pageNum) {
		let div = $("<div/>");
		var count = $("<span/>").append("총" + boardCount + "건")
		
		div.append(count);
		$(".search").before(div);
	}
	
	/* 페이지 리스트 불러오기 */
	function getPageList(pageNum) {
		$.ajax({
			url: "/api/jh/board/page/" + pageNum,
			type: "GET",
			dataType: 'JSON',
			success: function(response) {
				let tb = $("<tbody/>");
				
				for(var i in response) {
					let id = response[i].id
					let title = response[i].title
					let regUser = response[i].regUser
					let regDtm = dayjs(response[i].regDtm).format('YYYY-MM-DD')
					let updUser = response[i].updUser
					let updDtm = dayjs(response[i].updDtm).format('YYYY-MM-DD')
					
					if(updUser) {
						var row=$("<tr/>").append(
							'<td>' + id + '</td>' +
							'<td><a href=/view/jh/board/detailView/' + id + '>' + title + '</a></td>' +
							'<td>' + regDtm + '</td>' +
							'<td>' + updUser + '</td>'
						)	
					} else {
						var row=$("<tr/>").append(
							'<td>' + id + '</td>' +
							'<td><a href=/view/jh/board/detailView/' + id + '>' + title + '</a></td>' +
							'<td>' + regDtm + '</td>' +
							'<td>' + regUser + '</td>'
						)	
					}
					tb.append(row)
				}
				
				$(".thead").after(tb);
			}
		})
	}
	
	/* << 버튼(begin) 이벤트 */
	function beginBtn(pageNum, maxPageNum) {
		if(!(pageNum == 1)) {
			location.href="/view/jh/board/list/1"
		}
	}
	
	/* < 버튼(prev) 이벤트 */
	function prevBtn(pageNum, maxPageNum) {
		if(!(pageNum == 1)) {
			location.href="/view/jh/board/list/" + (pageNum -1)
		}
	}
	
	/* > 버튼(next) 이벤트 */
	function nextBtn(pageNum, maxPageNum) {
		if(!(pageNum == maxPageNum)) {
			location.href="/view/jh/board/list/" + (pageNum +1)
		}
	}
	
	/* >> 버튼(end) 이벤트 */
	function endBtn(pageNum, maxPageNum) {
		if(!(pageNum == maxPageNum)) {
			location.href="/view/jh/board/list/" + maxPageNum
		}
	}
	
</script>

</html>
