<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>	
<!doctype html>
<html lang="ko" xml:lang="ko">
<%	//Model로 넘겨받은 객체 불러오는 법ㅠㅠㅠㅠ
	String boardId = (String) request.getAttribute("id");
%>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=0,maximum-scale=10,user-scalable=yes">
    <!-- css -->
    <link rel="stylesheet" href="/web/css/reset.css">
    <link rel="stylesheet" href="/web/css/font.css">
    <link rel="stylesheet" href="/web/css/common.css">
    <!-- js -->
    <script src="/web/js/lib/jquery-3.6.0.min.js"></script>
    <!-- ajax/axios -->
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jQuery.serializeObject/2.0.3/jquery.serializeObject.min.js"></script>

    <title>Write-팔네트웍스</title>
    <style>
    	.btn{display: inline-flex;flex-direction: row;justify-content: center;align-items: center;height: 35px;border: 1px solid #ddd;}
    </style>
</head>

<body>
 <div class="notice" id="boardBox">
		<div class="row">
			<div class="box">
				<span class="ti">글쓴이</span> 
				<span class="box-input"><input id="regUser" name="regUser" type="text" /></span>
				<input id="updUser" name="updUser" type="hidden"/>
			</div>
			<div class="box">
				<span class="ti">비밀번호</span> 
				<span class="box-input"><input id="password" name="password" type="password" /></span>
				<input id="realPassword" name="realPassword" type="hidden"/>
			</div>
		</div>
		<div class="row">
			<div class="box">
				<span class="ti">번호</span>
				<span class="box-input"><input id="id" name="id" type="number"  readonly/></span>
			</div>
			<div class="box">
				<span class="ti">작성일</span>
				<span class="box-input"><input id="regDtm" name="regDtm" type="text" readonly/></span>
				<!-- <input id="updDtm" name="updDtm" type="hidden"/> -->
			</div>
		</div>
		<div class="row">
			<div class="box">
				<span class="ti">제목</span>
				<span class="box-input"><input id="title" name="title" type="text" /></span>
			</div>
		</div>
		<div class="row">
			<div class="box">
				<span class="box-input box-textarea">
					<textarea id="content" name="content" placeholder="내용을 입력해주세요"></textarea>
				</span>
			</div>
		</div>
   
	    <div class="btn-box">
	    <a href="/view/jh/board/list/1" class="btn gray">목록</a>
		 <a class="btn black" id="modify">수정</a>
	    </div>
 </div>
</body>
<script type="text/javascript">

	$(document).ready(function() {
		callModifyData();
	})
	
	/* 수정할 데이터 불러오기 */
	function callModifyData() {
		var boardId = '<%=boardId%>';
		
		$.ajax({
			url : "/api/jh/board/detailView/" + boardId,
			type : "GET",
			dataType : 'JSON',
			success : function(response) {				
				var id = response.id
				var password = response.password
				var title = response.title
				var content = response.content
				var regUser = response.regUser
				var regDtm = response.regDtm
				var updUser = response.updUser
				
				$('input[name=id]').attr('value', id)
				$('input[name=realPassword]').attr('value', password)
				$('input[name=title]').attr('value', title)
				$('textarea[name=content]').html(content)
				
				if(updUser) {
					$('input[name=regUser]').attr('value', updUser)
	            } else {
	            	$('input[name=regUser]').attr('value', regUser)
	            }
				
				$('input[name=regDtm]').attr('value', regDtm)
				$('input[name=updUser]').attr('value', updUser)
			}
		})
	}
	
	/* 수정 버튼 클릭 */
	$(document).on("click", "#modify", function() {
		checkAll();
		setModify();
	})
	
	/* 유효성 검사 */
	function checkAll() {
		var boardBox = $('#boardBox');
		
		var regUser = boardBox.find('input#regUser').val();
		var password = boardBox.find('input[id="password"]').val();
		var title = boardBox.find('input[id="title"]').val();
		var content = boardBox.find('textarea[id="content"]').val();
		
		if(regUser == "") { 
			alert("작성자 명을 입력해주세요.")
			return;
		} else if(title == "") {
			alert("제목을 입력해주세요.")
			return;
		} else if(content == "") {
			alert("내용을 입력해주세요.")
			return;
		}
	}
	
	/* 글 수정 */
	function setModify() {
		var boardBox = $('#boardBox');
		var id = boardBox.find('input[id="id"]').val();
		var title = boardBox.find('input[id="title"]').val();
		var content = boardBox.find('textarea[id="content"]').val();
		var realPassword = boardBox.find('input[id="realPassword"]').val();
		var password = boardBox.find('input[id="password"]').val();
		var updUser = boardBox.find('input#regUser').val();
		
		if(!(realPassword==password)) {
			alert("비밀번호가 일치하지 않습니다.");
			return;
		}
		
		var obj = {
				id: id,
				title: title,
				content: content,
				password: password,
				updUser: updUser,
		}
		
 		$.ajax({
			url: "/api/jh/board/modify",
			type: "PUT",
			data: obj,
			dataType: 'JSON',
			success: function(data) {
				if(data=='1') {
					alert("수정성공")
					location.href="/view/jh/board/detailView/" + id
				}
			}
		}) 
	}
	

</script>
</html>
